#!/bin/bash
#
# wpa_supplicant 
#
# chkconfig:   - 19 88
# description: wpa_supplicant is a WPA Supplicant for Linux, BSD and \
#     Windows with support for WPA and WPA2 (IEEE 802.11i / RSN). Supplicant \
#     is the IEEE 802.1X/WPA component that is used in the client stations. \
#     It implements key negotiation with a WPA Authenticator and it controls \
#     the roaming and IEEE 802.11 authentication/association of the wlan driver.
# processname: wpa_supplicant
# config:      /etc/wpa_supplicant/wpa_supplicant.conf
#

# Source function library.
. /etc/rc.d/init.d/functions

# Source networking configuration.
. /etc/sysconfig/network

exec="/usr/sbin/wpa_supplicant"
prog=$(basename $exec)
conf="/etc/wpa_supplicant/wpa_supplicant.conf"

[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog

start() {
 	boot_mesg "Starting $prog: $conf, $INTERFACES, $DRIVERS"
	loadproc $prog -c$conf $INTERFACES $DRIVERS -B $OTHER_ARGS
}

stop() {
	boot_mesg "Stopping $prog: "
	killproc $prog
}

restart() {
	stop
	start
}

status() {
	statusproc $prog
}


case "$1" in
	start|stop|restart)
  		$1
		;;
	status)
		status
		;;
	*)
		echo $"Usage: $0 {start|stop|status|restart}"
		exit 1
esac

