%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	WPA/WPA2/IEEE 802.1X Supplicant
Name:		wpa_supplicant
Version:	0.6.9
Release:	2
BuildArch:	i686
License:	GNU/GPL
URL:		http://hostap.epitest.fi/wpa_supplicant
Group:		System/Configuration/Hardware
Source0:	%{name}-%{version}.tar.gz
Source200:	%{name}.config
Source201:	%{name}.conf
Source202:	%{name}.init.d
Source203:	%{name}.sysconfig
Source204:	%{name}.logrotate
Patch0:		wpa_supplicant-assoc-timeout.patch
Patch1:		wpa_supplicant-0.5.7-qmake-location.patch
Patch2:		wpa_supplicant-0.5.7-flush-debug-output.patch
Patch3:		wpa_supplicant-0.5.7-use-IW_ENCODE_TEMP.patch
Patch4:		wpa_supplicant-0.5.10-dbus-service-file.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

Obsoletes:	%{name}-doc
PreReq: 	chkconfig

#Manual build dependencies
BuildRequires:	readline-devel
BuildRequires:	qt4-devel
BuildRequires:	ncurses-devel
BuildRequires:	pcsc-lite-devel libSM-devel libICE-devel

#Automatically resolved build dependencies
BuildRequires: dbus-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: openssl-devel
BuildRequires: python26-devel
BuildRequires: qt4-devel

%description
wpa_supplicant is a WPA Supplicant for Linux, BSD and Windows with support 
for WPA and WPA2 (IEEE 802.11i / RSN). Supplicant is the IEEE 802.1X/WPA 
component that is used in the client stations. It implements key negotiation 
with a WPA Authenticator and it controls the roaming and IEEE 802.11 
authentication/association of the wlan driver.

%package	gui
Summary:	Graphical User Interface for %{name}
Group:		Networking/Wireless/Security

%description	gui
Graphical User Interface for wpa_supplicant written using QT3

%post
if [ $1 = 1 ]; then
	chkconfig --add %{name}
fi

%preun
if [ $1 = 0 ]; then
	service %{name} stop > /dev/null 2>&1
	/sbin/chkconfig --del %{name}
fi

%prep
%setup -q
%patch0 -p1 -b .assoc-timeout
%patch1 -p1 -b .qmake-location
%patch2 -p1 -b .flush-debug-output
#%patch3 -p1 -b .use-IW_ENCODE_TEMP
%patch4 -p1 -b .dbus-service-file

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done

%build
pushd wpa_supplicant
  cp %{SOURCE200} ./.config
  CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;
  CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ;
  make %{_smp_mflags}
  QTDIR=%{_libdir}/qt4 QTINC="$QTDIR/include" QTLIB="$QTDIR/lib" PATH=$QTDIR/bin:${PATH} make wpa_gui-qt4
popd

%install
rm -rf %{buildroot}

# init scripts
install -d %{buildroot}/%{_sysconfdir}/rc.d/init.d
install -d %{buildroot}/%{_sysconfdir}/sysconfig
install -m 0755 %{SOURCE202} %{buildroot}/%{_sysconfdir}/rc.d/init.d/%{name}
install -m 0644 %{SOURCE203} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}
install -d %{buildroot}/%{_sysconfdir}/logrotate.d
install -m 0644 %{SOURCE204} %{buildroot}/%{_sysconfdir}/logrotate.d/%{name}

# config
install -d %{buildroot}/%{_sysconfdir}/%{name}
install -m 0600 %{SOURCE201} %{buildroot}/%{_sysconfdir}/%{name}

# binary
install -d %{buildroot}/%{_sbindir}
install -m 0755 %{name}/wpa_passphrase %{buildroot}/%{_sbindir}
install -m 0755 %{name}/wpa_cli %{buildroot}/%{_sbindir}
install -m 0755 %{name}/wpa_supplicant %{buildroot}/%{_sbindir}
install -d %{buildroot}/%{_sysconfdir}/dbus-1/system.d/
install -m 0644 %{name}/dbus-wpa_supplicant.conf %{buildroot}/%{_sysconfdir}/dbus-1/system.d/wpa_supplicant.conf
install -d %{buildroot}/%{_datadir}/dbus-1/system-services/
install -m 0644 %{name}/dbus-wpa_supplicant.service %{buildroot}/%{_datadir}/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service

# gui
install -d %{buildroot}/%{_bindir}
install -m 0755 %{name}/wpa_gui-qt4/wpa_gui %{buildroot}/%{_bindir}

# running
mkdir -p %{buildroot}/%{_localstatedir}/run/%{name}

# man pages
install -d %{buildroot}%{_mandir}/man{5,8}
install -m 0644 %{name}/doc/docbook/*.8 %{buildroot}%{_mandir}/man8
install -m 0644 %{name}/doc/docbook/*.5 %{buildroot}%{_mandir}/man5

# some cleanup in docs
rm -f  %{name}/doc/.cvsignore
rm -rf %{name}/doc/docbook

%files
%defattr(-, root, root)
%doc COPYING %{name}/ChangeLog README %{name}/eap_testing.txt %{name}/todo.txt %{name}/wpa_supplicant.conf %{name}/examples
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_sysconfdir}/rc.d/init.d/%{name}
%{_sysconfdir}/dbus-1/system.d/%{name}.conf
%{_datadir}/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service
%{_sbindir}/wpa_passphrase
%{_sbindir}/wpa_supplicant
%{_sbindir}/wpa_cli
%dir %{_localstatedir}/run/%{name}
%dir %{_sysconfdir}/%{name}
%{_mandir}/man8/*
%{_mandir}/man5/*

%files gui
%defattr(-, root, root)
%{_bindir}/wpa_gui

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 0.6.9-2
- python 2.6
* Thu May 07 2009 Christian Wasem <wasem@ccux-linux.de> 0.6.9-1
- Version update
* Thu May 07 2009 Christian Wasem <wasem@ccux-linux.de> 0.6.4-3
- rebuilt with explicit /usr/bin/python2.5
* Thu Sep 18 2008 Christian Metzen <metzench@ccux-linux.de> 0.6.4-2
- fixed initscript, switched to wpa-gui-qt4 again
* Wed Sep 17 2008 Christian Metzen <metzench@ccux-linux.de> 0.6.4-1
- Version update
- reverted once again old specfile :-(
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.7-4
- modified initscript runlevel
* Fri Nov 02 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.7-3
- bugfix in initscript
* Fri Nov 02 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.7-2
- moved gui to seperate package
- added init script
- modified build process
* Tue Mar 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.5.7-1
- Version Update
* Wed Dec 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.5.6-1
- Version Update
* Sun Jun 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.5.4-1
- Version Update
* Mon Jun 05 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.5.3-1
- Version Update
* Mon Jan 30 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.5.1-1
- Version Update
* Wed Dec 14 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.4.7-2
- Added EAP_FAST to use this the openssl Library must be patched
* Sun Dec 11 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.4.7-1
- Version Update
* Sat Nov 19 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.4.6-1
- Version Update
* Fri Jul 22 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.4.3-1
- Initial Release
